Gecode::Int::NoOverlap Namespace Reference

No-overlap propagators More...

## Classes

class | FixDim
| Dimension combining coordinate and integer size information. More...
class | FlexDim
| Dimension combining coordinate and integer view size information. More...
class | ManBox
| Mandatory box class. More...
class | OptBox
| Optional box class. More...
class | Base
| Base class for no-overlap propagator. More...
class | ManProp
| No-overlap propagator for mandatory boxes. More...
class | OptProp
| No-overlap propagator for optional boxes. More...

## Functions

bool | optional (const BoolVarArgs &m)

## Detailed Description

No-overlap propagators

## Function Documentation

## optional()

bool Gecode::Int::NoOverlap::optional | ( | const BoolVarArgs & | m | ) |

Definition at line 41 of file no-overlap.cpp.